#******************************************************************************
#
#       Copyright:      2005-2008 Paul Obermeier (obermeier@tcl3d.org)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dUtil
#       Filename:       tcl3dCompat.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D compatibility procedures.
#
#******************************************************************************

###############################################################################
#[@e
#       Name:           tcl3dCompat-0.1 - Tcl3D version 0.1 compatibility.
#
#       Synopsis:       tcl3dCompat-0.1 {}
#
#       Description:    Tcl3d version 0.1 has Vector and Photo commands 
#                       without the tcl3d prefix. So, if running a script
#                       written for newer versions with Tcl3D Version 0.1
#                       (Vector command exist, but no tcl3dVector command),
#                       all appropriate tcl3d* commands are renamed.
#
#       See also:
#
###############################################################################

proc tcl3dCompat-0.1 {} {
    if { [info commands Vector] ne "" && [info commands tcl3dVector] eq "" } {
        rename ::Vector ::tcl3dVector
        rename ::VectorPrint ::tcl3dVectorPrint
        rename ::VectorFromList ::tcl3dVectorFromList
        rename ::VectorFromArgs ::tcl3dVectorFromArgs
        rename ::VectorFromString ::tcl3dVectorFromString
        rename ::VectorToString ::tcl3dVectorToString
        rename ::VectorToList ::tcl3dVectorToList
        rename ::CharToNum ::tcl3dCharToNum
        rename ::Photo2Vector ::tcl3dPhoto2Vector 
        rename ::Vector2Photo ::tcl3dVector2Photo
        rename ::PhotoChans ::tcl3dPhotoChans 
        rename ::drawBox ::tcl3dDrawBox
        rename ::doughnut ::tcl3dDoughnut
        rename ::dodecahedron ::tcl3dDodecahedron
        rename ::octahedron ::tcl3dOctahedron
        rename ::icosahedron ::tcl3dIcosahedron
        rename ::tetrahedron ::tcl3dTetrahedron
        rename ::teapot ::tcl3dTeapot
    }
}
